grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.20-67-g3c6162e


From: Paul Eggert
Subject: grep branch, master, updated. v2.20-67-g3c6162e
Date: Fri, 24 Oct 2014 20:35:24 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  3c6162e7707099967a9a9844f9071b976cde5452 (commit)
       via  16f6616acaa4fcf44edbc3b56ca10fc06b07cf25 (commit)
      from  b2490802defe3c3bf7ef0036a4515d006a08a769 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=3c6162e7707099967a9a9844f9071b976cde5452


commit 3c6162e7707099967a9a9844f9071b976cde5452
Author: Norihiro Tanaka <address@hidden>
Date:   Fri Oct 24 13:33:04 2014 -0700

    tests: add test for grep -P fix
    
    * tests/pcre-o: New test for this change.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index c298835..f6f051c 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -90,6 +90,7 @@ TESTS =                                               \
   pcre-abort                                   \
   pcre-infloop                                 \
   pcre-invalid-utf8-input                      \
+  pcre-o                                       \
   pcre-utf8                                    \
   pcre-w                                       \
   pcre-wx-backref                              \
diff --git a/tests/pcre-o b/tests/pcre-o
new file mode 100755
index 0000000..3d0677c
--- /dev/null
+++ b/tests/pcre-o
@@ -0,0 +1,17 @@
+#! /bin/sh
+# Ensure that grep -oP doesn't cause internal error at match.
+#
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+require_pcre_
+
+fail=0
+
+echo ab | grep -oP 'a' || fail=1
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=16f6616acaa4fcf44edbc3b56ca10fc06b07cf25


commit 3c6162e7707099967a9a9844f9071b976cde5452
Author: Norihiro Tanaka <address@hidden>
Date:   Fri Oct 24 13:33:04 2014 -0700

    tests: add test for grep -P fix
    
    * tests/pcre-o: New test for this change.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index c298835..f6f051c 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -90,6 +90,7 @@ TESTS =                                               \
   pcre-abort                                   \
   pcre-infloop                                 \
   pcre-invalid-utf8-input                      \
+  pcre-o                                       \
   pcre-utf8                                    \
   pcre-w                                       \
   pcre-wx-backref                              \
diff --git a/tests/pcre-o b/tests/pcre-o
new file mode 100755
index 0000000..3d0677c
--- /dev/null
+++ b/tests/pcre-o
@@ -0,0 +1,17 @@
+#! /bin/sh
+# Ensure that grep -oP doesn't cause internal error at match.
+#
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+require_pcre_
+
+fail=0
+
+echo ab | grep -oP 'a' || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 src/grep.c             |    3 ---
 src/grep.h             |    4 ----
 src/pcresearch.c       |   37 ++++++++++++++-----------------------
 tests/Makefile.am      |    1 +
 tests/{pcre => pcre-o} |    7 +++----
 5 files changed, 18 insertions(+), 34 deletions(-)
 copy tests/{pcre => pcre-o} (60%)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]